:@echo off
set source=http://d2mate.mdxes.iir.isct.ac.jp/download/tkProg/tkProg_textbook
set source2=http://d2mate.mdxes.iir.isct.ac.jp/download/tkProg/tkProg_textbook_launcher
set dest=.

set script=update.py

:set option=--mirror
set option=--dry-run

python %script% --source=%source%/            --dest=%dest% --maxlevel=0 %option%
python %script% --source=%source%/tkprog_textbook/ --dest=%dest%/tkprog_textbook %option%

if /I "%1"=="launcher" (
    python %script% --source=%source2% --dest=%dest% %option%
)


:END
